<div class="app-container">
    <div class="app-header">
        <mat-icon (click)="goToAngularPage()">keyboard_backspace</mat-icon>
        <h1>Directives</h1>
    </div>
    <div class="app-content">
        <div>
            <h3>Built in directive</h3>
            <div class="sub-content">
                <h5>Structural directive - *ngIf / *ngFor</h5>
                <div>
                    <p>The given number {{ num }} is 
                        <span *ngIf="num % 2 == 0; else oddNumber">Even</span>
                        <ng-template #oddNumber>
                            <span>Odd</span>
                        </ng-template>
                    </p>    
                </div>
                <div>
                    <p *ngFor="let num of nums; let i = index; let o = odd; let e = even;">
                        Value - {{ num }} || Index - {{ i }} || Is odd - {{ o }} || Is even - {{ e }}
                    </p>
                </div>
            </div>
            <div class="sub-content">
                <h5>Attribute directive - [ngStyle] [ngClass]</h5>
                <p class="attribute-para" [ngStyle]="{ 'background-color': getBackgroundColor() }">[ngStyle] -> If the number is odd, background color is red otherwise in green color</p>
                <p class="attribute-para" [ngClass]="{ 'even-style': num % 2 == 0, 'odd-style': num % 2 == 1 }">[ngClass] -> If the number is odd, background color is red otherwise in green color</p>
            </div>

            <h3>Custom directive</h3>
            <h5>Attribute directive</h5>
            <p appCustomAttribute class="attribute-para">I am custom attribute directive</p>
            <p appCustomAttributeDatabinding class="attribute-para">Custom directive without input</p>
            <p appCustomAttributeDatabinding [defaultColor]="'darkblue'" [highlightColor]="'darkred'" class="attribute-para">Custom directive with Input (overriding default behaviour)</p>
            <h5>Structural directive</h5>
            <div *appCustomIf="bool">
                <p>The value of bool is true</p>
            </div>
            <div *appCustomIf="!bool">
                <p>The value of bool is false</p>
            </div>
        </div>
    </div>
</div>